com.r3corda.core.crypto / X509Utilities / loadKeyPairFromKeyStore

# loadKeyPairFromKeyStore

`fun loadKeyPairFromKeyStore(keyStoreFilePath: Path, storePassword: String, keyPassword: String, alias: String): KeyPair`

Extract public and private keys from a KeyStore file assuming storage alias is known.

### Parameters

`keyStoreFilePath` - Path to load KeyStore from
`storePassword` - Password to unlock the KeyStore
`keyPassword` - Password to unlock the private key entries
`alias` - The name to lookup the Key and Certificate chain from

Return
The KeyPair found in the KeyStore under the specified alias